package dados;

public class Local 
{
	public String pais = null;
	public String zona = null;
	public String concelho = null;
	public String freguesia = null;
	public String lugar = null;
	private String nome = null;
	
	public Local(String nome) {
		this.nome = nome;
	}

	public Local() {}
	
	public int getTipo()
	{
		int tipo = 1;
		
		if(zona != null)
		{
			tipo++;
			if(concelho != null)
			{
				tipo++;
				if(freguesia != null)
				{
					tipo++;
					if(lugar != null)
					{
						tipo++;
					}
				}
			}
		}
		
		return tipo;
	}
	

	public String toString() {
		return "Pais:" + pais + ", Zona:" + zona + ", Concelho:" + concelho + ", Freguesia:" + freguesia + ", Lugar:" + lugar;
	}
	
	public String getNome() {
		if(nome == null)
			nome =  p(pais) + p(zona) + p(concelho) + p(freguesia) + p(lugar);
		return nome;
	}
	
	private String p(String s)
	{
		return s == null? "" : s;
	}

}
